FROM {{ namespace }}/{{ image_prefix }}base:{{ tag }}
{% block labels %}
LABEL maintainer="{{ maintainer }}" name="{{ image_name }}" build-date="{{ build_date }}"
{% endblock %}

{% block kafka_header %}{% endblock %}

{% import "macros.j2" as macros with context %}

{{ macros.configure_user(name='kafka', homedir='/opt/kafka') }}

{% if base_package_type == 'rpm' %}
    {% set kafka_packages = [
        'java-1.8.0-openjdk-headless',
    ] %}
{% elif base_package_type == 'deb' %}

    {% if base_distro == 'debian' %}
        {% set java_version = '11' %}
    {% elif base_distro == 'ubuntu' %}
        {% set java_version = '8' %}
    {% endif %}

    {% set kafka_packages = [
        'openjdk-' + java_version + '-jre-headless',
    ] %}
{% endif %}

{{ macros.install_packages(kafka_packages | customizable("packages")) }}

{% block kafka_version %}
ENV kafka_version=2.0.1
ENV kafka_scala_version=2.12
ENV kafka_url=https://archive.apache.org/dist/kafka/${kafka_version}/kafka_${kafka_scala_version}-${kafka_version}.tgz
ENV kafka_pkg_sha512sum=9773a85ef2898b4bae20481df4cfd5488bd195fffd700fcc874a9fa55065f6873f2ee12f46d2f6a6ccb5d5a93ddb7dec19227aef5d39d4f72b545ec63b24bb2f
{% endblock %}

{% block kafka_install %}
RUN curl -o /tmp/kafka.tgz ${kafka_url} \
    && echo "${kafka_pkg_sha512sum} /tmp/kafka.tgz" | sha512sum -c \
    && tar --strip 1 -xvf /tmp/kafka.tgz -C /opt/kafka \
    && rm -f /tmp/kafka.tgz
{% endblock %}

COPY extend_start.sh /usr/local/bin/kolla_extend_start
RUN chmod 755 /usr/local/bin/kolla_extend_start

{% block kafka_footer %}{% endblock %}
{% block footer %}{% endblock %}

USER kafka
